Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0027709
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 01. General setupminoralways2014-09-29 15:532014-12-30 23:22
ReporterngarciaView Statuspublic 
Assigned ToAugustoMauch 
PriorityimmediateResolutionfixedFixed in Version3.0PR15Q1
StatusclosedFix in branchFixed in SCM revision30ffca2dd8ad
ProjectionnoneETAnoneTarget Version3.0PR15Q1
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0027709: Inactive records are taken into account for Role access

DescriptionInactive records are taken into account for Role access
Steps To ReproduceAs group admin role:
   Create a new role
   Set it as manual
   Set an organization in the Org Access tab
   Set Sales Order window in the Window Access tab:
      Editable Field: Y
      Active: Y
   Set Header tab in the Tab Access tab:
      Editable Field: Y
      Active: Y
   Set Organization field in the Field Access tab:
      Editable Field: N
      Active: N
   Set Openbravo in User Assignment tab
Log in with that Role:
   Open the Sales Order window (ignore the error message)
   Create a new record in the Sales Order window and check the Organization field is Read Only
TagsNo tags attached.
Attached Files? file icon issue27709.export [^] (4,136 bytes) 2014-09-30 11:24

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0070542)
AugustoMauch (developer)
2014-09-30 11:24

A fix has been attached. It will be pushed one the behavioural change is approved by DME.
(0070728)
hgbot (developer)
2014-10-06 10:29

Repository: erp/devel/pi
Changeset: 30ffca2dd8adb2956f5a1c0a384588da7c6c97a9
Author: Augusto Mauch <augusto.mauch <at> openbravo.com>
Date: Tue Sep 30 11:20:31 2014 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/30ffca2dd8adb2956f5a1c0a384588da7c6c97a9 [^]

Fixes bug 27709: Inactive Window/Tab/Field Access records are not considered

The problem was that even if a WIndow/Tab/Field access record was inactive, it was being taken into account by the WindowSettionsActionHandler class. Now this no longer happen.

This fix comes with a behavioural change in the way the Is Active field of these tabs is handled. Before this fix the flag was ignored, now is taken into account.

---
M modules/org.openbravo.client.application/src/org/openbravo/client/application/WindowSettingsActionHandler.java
---
(0070796)
alostale (developer)
2014-10-08 09:20

code reviewed

tested: inactive records are not taken into account at any level: window, tab and field
(0072899)
hudsonbot (developer)
2014-12-30 23:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/6525fe229e06 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2014-09-29 15:53 ngarcia New Issue
2014-09-29 15:53 ngarcia Assigned To => jonalegriaesarte
2014-09-29 15:53 ngarcia Modules => Core
2014-09-29 15:53 ngarcia Triggers an Emergency Pack => No
2014-09-29 15:55 ngarcia Severity major => minor
2014-09-29 15:55 ngarcia Steps to Reproduce Updated View Revisions
2014-09-29 15:58 ngarcia Steps to Reproduce Updated View Revisions
2014-09-29 16:00 ngarcia Issue Monitored: networkb
2014-09-29 16:22 jonalegriaesarte Assigned To jonalegriaesarte => AtulOpenbravo
2014-09-30 09:23 jonalegriaesarte Assigned To AtulOpenbravo => AugustoMauch
2014-09-30 11:14 AugustoMauch Steps to Reproduce Updated View Revisions
2014-09-30 11:24 AugustoMauch File Added: issue27709.export
2014-09-30 11:24 AugustoMauch Note Added: 0070542
2014-09-30 17:19 AugustoMauch Status new => scheduled
2014-09-30 17:19 AugustoMauch fix_in_branch => pi
2014-10-02 11:48 ngarcia Target Version => 3.0PR15Q1
2014-10-02 11:48 ngarcia fix_in_branch pi =>
2014-10-06 10:26 AugustoMauch Issue Monitored: alostale
2014-10-06 10:26 AugustoMauch Review Assigned To => alostale
2014-10-06 10:29 hgbot Checkin
2014-10-06 10:29 hgbot Note Added: 0070728
2014-10-06 10:29 hgbot Status scheduled => resolved
2014-10-06 10:29 hgbot Resolution open => fixed
2014-10-06 10:29 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/30ffca2dd8adb2956f5a1c0a384588da7c6c97a9 [^]
2014-10-08 09:20 alostale Note Added: 0070796
2014-10-08 09:20 alostale Status resolved => closed
2014-10-08 09:20 alostale Fixed in Version => 3.0PR15Q1
2014-12-30 23:22 hudsonbot Checkin
2014-12-30 23:22 hudsonbot Note Added: 0072899


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker